#NoTrayIcon

#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=163.ico
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_Res_Comment=This script must be use with Directory Opus only. Create button and use this command : LongueurFichier.exe {filepath$}
#AutoIt3Wrapper_Res_Description=Returns the number of characters of selected files in Directory Opus.
#AutoIt3Wrapper_Res_Fileversion=2.1.0.0
#AutoIt3Wrapper_Res_LegalCopyright=AlbatorV
#AutoIt3Wrapper_Res_Language=1036
#AutoIt3Wrapper_Res_Field=Create by|Thomas Michiels (AlbatorV)
#AutoIt3Wrapper_Res_Field=Release Date|Avril 2010
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#include <file.au3>
#include <array.au3>

Dim $szDrive, $szDir, $szFName, $szExt, $sortie, $texte

if $CmdLine[0]=0 then
	If @OSLang = "040C" Then
		Msgbox(16,"Longueur de fichier...","Ce script doit tre utiliser avec Directory Opus uniquement." & @CRLF & "Il faut crer un bouton et utiliser cette commande : LongueurFichier.exe {filepath$}")
	Else
		Msgbox(16,"File lenght...","This script must be use with Directory Opus only." & @CRLF & "Create button and use this command : LongueurFichier.exe {filepath$}")
	EndIf
	Exit
EndIf

$split=_PathSplit($CmdLine[1], $szDrive, $szDir, $szFName, $szExt)

If @OSLang = "040C" Then
	$texte = "Fichier :   " & $split[3] & $split[4] & @CRLF & @CRLF
	$texte = $texte & "*** Avec extension ***" & @CRLF & @CRLF
	$texte = $texte & "Longueur du chemin + fichier + extension : " & StringLen($CmdLine[1]) & " caractres" & @CRLF
	$texte = $texte & "Longueur du fichier + extension : " & StringLen($split[3] & $split[4]) & " caractres" & @CRLF & @CRLF
	$texte = $texte & "*** Sans extension ***" & @CRLF & @CRLF
	$texte = $texte & "Longueur du chemin + fichier : " & StringLen($split[1] & $split[2] & $split[3]) & " caractres" & @CRLF
	$texte = $texte & "Longueur du fichier : " & StringLen($split[3]) & " caractres"

	If $CmdLine[0] > 1 then
		If $CmdLine[2] = "txt" or $CmdLine[2] = "csv" then
			$file = FileOpen($szDrive & $szDir & "+ LongueurFichier +." & $CmdLine[2], 1)
			If $file = -1 Then
				MsgBox(16, "Erreur", "Impossible d'ouvrir le fichier + LongueurFichier +." & $CmdLine[2])
				Exit
			EndIf
			FileWriteLine($file, $szFName & $szExt & "," & StringLen($CmdLine[1]) & "," & StringLen($split[3] & $split[4]) & "," & StringLen($split[1] & $split[2] & $split[3]) & "," & StringLen($split[3]) & @CRLF)
			FileClose($file)
		Else
			MsgBox(16,"Erreur","Argument inconnu : " & $CmdLine[2] & @CRLF & "L'argument doit tre soit 'txt' (fichier texte) soit 'csv' (fichier comma).")
		EndIf
	Else
		MsgBox(64,"Longueur de fichier...",$texte)
	EndIf
Else
	$texte = "File :   " & $split[3] & $split[4] & @CRLF & @CRLF
	$texte = $texte & "*** With extension ***" & @CRLF & @CRLF
	$texte = $texte & "Lenght path + file + extension : " & StringLen($CmdLine[1]) & " characters" & @CRLF & @CRLF
	$texte = $texte & "Lenght file + extension : " & StringLen($split[3] & $split[4]) & " characters"
	$texte = $texte & "*** Without extension ***" & @CRLF & @CRLF
	$texte = $texte & "Lenght path + file : " & StringLen($split[1] & $split[2] & $split[3]) & " characters" & @CRLF
	$texte = $texte & "Lenght file : " & StringLen($split[3]) & " characters"

	If $CmdLine[0] > 1 then
		If $CmdLine[2] = "txt" or $CmdLine[2] = "csv" then
			$file = FileOpen($szDrive & $szDir & "+ FileLenght +." & $CmdLine[2], 1)
			If $file = -1 Then
				MsgBox(16, "Error", "Unable to open file.")
				Exit
			EndIf
			FileWriteLine($file, $szFName & $szExt & "," & StringLen($CmdLine[1]) & "," & StringLen($split[3] & $split[4]) & "," & StringLen($split[1] & $split[2] & $split[3]) & "," & StringLen($split[3]) & @CRLF)
			FileClose($file)
		Else
			MsgBox(16,"Error","Unknow argument : " & $CmdLine[2] & @CRLF & "Argument must be 'txt' (text file) or 'csv' (comma file).")
		EndIf
	Else
		MsgBox(64,"File lenght...",$texte)
	EndIf
EndIf
